# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: dump.py 749 2005-06-28 22:21:49Z sidnei $
"""

from sip.csv.utils import dump_samples
from sip import File
from sip.interfaces.adapter import ISampleWithAliquots
from zope.security.proxy import removeSecurityProxy
from zope.app.publisher.browser import BrowserView

class DumpSample(BrowserView):

    template = File('templates/modify_aliquot.csv')
    def dump(self):
        response = self.request.response
        response.setHeader('content-type', 'application/x-csv')
        response.setHeader('content-disposition',
                           'attachment; filename=modify_aliquot.csv')
        sample = removeSecurityProxy(self.context)
        adapted = ISampleWithAliquots(sample)
        return str(self.template) % dump_samples([adapted])
