# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: metaconfigure.py 749 2005-06-28 22:21:49Z sidnei $
"""

from zope.app import zapi

def handler(_context, filename, component, interface):
    component = component(filename)
    _context.action(
        discriminator = ('sip.csv.provideUtility', interface, filename),
        callable = provideUtility,
        args = (interface, filename, component))

def provideUtility(interface, filename, component):
    """Register a component for a given filename

    Uses the Utility Service for registering
    """
    utilities = zapi.getService(zapi.servicenames.Utilities)
    utilities.provideUtility(interface, component, filename)
