# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: sampletype.py 749 2005-06-28 22:21:49Z sidnei $
"""

from zope.schema import TextLine
from sip.i18n import _
from sip.interfaces import ISIPSchema, FieldFactory
from sip.descriptors import BoundCallableDescriptor
from sip.utils import Unique

class ISampleType(ISIPSchema):

    name   = FieldFactory(
        TextLine,
        title=_('Name'),
        description=_('Sample Type Name'),
        constraint=BoundCallableDescriptor(
        Unique(className='sip.SampleType', columnName='name'))
        )
