# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: utilities.py 749 2005-06-28 22:21:49Z sidnei $
"""

from zope.interface import Interface

class ISplitDerive(Interface):

    def split(base_aliquots, new_aliquots):
        """Split aliquots"""

    def derive(sample_id, aliquot_ids):
        """Derive a sample from aliquots"""


class IQuery(Interface):
    """Provides a way to do combined queries on a set of objects"""

    def search(query):
        """Take a query spec and return a list of objects"""
