# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: role.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from zope.interface import implements

from sqlobject import *
from sqlos import SQLOS
from sip.interfaces.security import ISecurityRole

class SecurityRole(SQLOS):

    implements(ISecurityRole)

    _columns = [
        StringCol('role_id', length=255, notNull=1),
        StringCol('principal_id', length=255, notNull=0),
        StringCol('location', length=255, notNull=1),
        IntCol('value', notNull=1, default=-1),
        ]
