# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

from zope.component import getService

def projectcontainerhandler(_context, component, name=''):

    component = _context.resolve(component)
    return _context.action(
            discriminator = ('ProjectService', component),
            callable = registerProjectContainer,
            args = (component, name),
            )

def registerProjectContainer(component, name):
    getService('ProjectService').registerContainer(component, name)


def appcontainerhandler(_context, component, name=''):

    component = _context.resolve(component)

    return _context.action(
            discriminator = ('AppContainerRegistry', component),
            callable = registerAppContainer,
            args = (component, name),
            )

def registerAppContainer(component, name):
    getService('AppContainerRegistry').registerContainer(component, name)
