# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/



__metaclass__ = type

from sqlobject import *
from sqlos import SQLOS
from zope.interface import implements
from sip.shipment.interfaces import IContainerShipment

class ContainerShipment(SQLOS):

    implements(IContainerShipment)

    _idName = 'container_shipment_id'
    _columns = [
            ForeignKey('Shipment', name='shipment_id', cascade=False),
            ForeignKey('Container', name='container_id', cascade=False),
            ]
