# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: direction.py 749 2005-06-28 22:21:49Z sidnei $
"""

from zope.interface import implements

from sip.source.utility import UtilityContainer
from sip.shipment.interfaces import IShipmentDirection
from sip.shipment.interfaces import IIncomingShipmentState
from sip.shipment.interfaces import IOutgoingShipmentState
from sip.interfaces import INolinkBreadcrumb
from sip.i18n import _

class Incoming(UtilityContainer):

    implements(IShipmentDirection)
    interface = IIncomingShipmentState
    name = _('Incoming Shipments')

class Outgoing(UtilityContainer):

    implements(IShipmentDirection, INolinkBreadcrumb)
    interface = IOutgoingShipmentState
    name = _('Outgoing Shipments')
