# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: technician_project.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from zope.interface import implements
from sqlobject import *
from sqlos import SQLOS
from sip.interfaces.technician_project import ITechnicianProject

class TechnicianProject(SQLOS):

    implements(ITechnicianProject)

    _idName = 'technician_project_id'
    _columns = [
        ForeignKey('Project', name='project_id', cascade=False),
        ForeignKey('Technician', name='technician_id', cascade=False),
        ]
