# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/


__metaclass__ = type

from zope.interface import implements
from sip.interfaces.container_location import IContainerLocation
from sqlobject import *
from sqlos import SQLOS

class ContainerLocation(SQLOS):

    implements(IContainerLocation)

    _idName = 'container_location_id'
    _columns = [
        ForeignKey('Container', name='container_id', cascade=False),
        ForeignKey('Location', name='location_id', cascade=False),
        ]
