# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: containertype.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from datetime import date
from sqlobject import *
from sqlos import SQLOS
from sip.interfaces.containertype import IContainerType
from zope.interface import implements

class ContainerType(SQLOS):

    implements(IContainerType)

    _idName = 'container_type_id'
    _table = 'container_type'
    _columns = [
        StringCol('name', length=255, notNull=1),
        DateCol('start_date', notNull=1, default=date.today),
        DateCol('end_date', notNull=0, default=None),
        BoolCol('root', notNull=1, default=0),
        StringCol('commit_message', notNull=1),
        ]
