# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

import psycopg
constr = 'host=localhost dbname=zope3 user=zope3 password=123 port=5432'
connection = psycopg.connect(constr)
cursor = connection.cursor()
selectAllContainers = 'select * from container;'
selectLocationContainers = \
                     'select container_id from container where location_id=%d;'
updateContainer = 'update container set location_id=%d where container_id=%d;'
selectContainer = 'select * from container where container_id=%d;'
cursor.execute(selectAllContainers)
connection.autocommit()
results = cursor.dictfetchall()
for result in results:
    location_id = result['location_id']
    if location_id is None: continue
    cursor.execute(selectLocationContainers % (location_id,))
    res = cursor.fetchall()
    parent_id = result['parent_id']
    container_id = result['container_id']
    if parent_id !=0 and (parent_id,) not in res:
        cursor.execute(selectContainer % (parent_id,))
        r = cursor.dictfetchone()
        if cursor.dictfetchone():
            print 'oops'
        parent_loc_id = r['location_id']
        print \
         'container_id: %d parent_id: %d location_id: %d parent_loc_id: %d'\
         % (container_id, parent_id, location_id, parent_loc_id)
cursor.close()
connection.close()
del cursor
del connection
