# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: sampletypeschema.py 749 2005-06-28 22:21:49Z sidnei $
"""
from sip.i18n import _
from zope.interface import Interface, Attribute
from zope.schema import Choice
from sip.interfaces import ISQLSchema

class ISampleTypeSchema(ISQLSchema):

    project_id = Attribute('project_id')
    sample_type_id = Choice(title=_('Sample Type'),
                            description=u'The sample Type for this schema',
                            required=True,
                            vocabulary=u'sip.vocab.sample_types')
