# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: sampletype.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from datetime import date
from sqlobject import *
from sqlos import SQLOS
from zope.interface import implements
from sip.interfaces.sampletype import ISampleType

class SampleType(SQLOS):

    implements(ISampleType)

    _idName='sample_type_id'
    _columns = [
        StringCol('name', length=255, notNull=1),
        DateCol('start_date', notNull=1, default=date.today),
        DateCol('end_date', notNull=0, default=None),
        StringCol('commit_message', notNull=1),
        ]
