# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: units.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from zope.interface import implements
from sip.interfaces import INoopBreadcrumb
from sip.interfaces.source import IVolumeUnitSource, \
     IWeightUnitSource, IConcentrationUnitSource
from sip.source import Source

class VolumeUnit(Source):
    implements(IVolumeUnitSource, INoopBreadcrumb)
    use_project = False


class WeightUnit(Source):
    implements(IWeightUnitSource, INoopBreadcrumb)
    use_project = False


class ConcentrationUnit(Source):
    implements(IConcentrationUnitSource, INoopBreadcrumb)
    use_project = False
