/*==============================================================*/
/* DBMS name:      Sybase AS Enterprise 12.5.1                  */
/* Created on:     5/27/2004 3:41:40 PM                         */
/*   Version 1.0.1 srr       */
/*==============================================================*/


alter table additional_sample_data
   drop constraint sample_exists2
go


alter table additional_sample_data
   drop constraint schema_field_exists
go


alter table dbo.aliquot
   drop constraint concentration_unit_exists
go


alter table dbo.aliquot
   drop constraint container_exists2
go


alter table dbo.aliquot
   drop constraint project_exists2
go


alter table dbo.aliquot
   drop constraint sample_exists3
go


alter table dbo.aliquot
   drop constraint volume_unit_exists
go


alter table dbo.aliquot
   drop constraint weight_unit_exists
go


alter table dbo.container
   drop constraint container_exists
go


alter table dbo.container
   drop constraint container_type_exists
go


alter table dbo.container
   drop constraint location_exists2
go


alter table dbo.location_project
   drop constraint location_exists
go


alter table dbo.location_project
   drop constraint project_exists3
go


alter table dbo.origin_sample_aliquots
   drop constraint sample_exists
go


alter table dbo.sample
   drop constraint project_exists4
go


alter table dbo.sample
   drop constraint sample_type_exists2
go


alter table dbo.sample
   drop constraint subject_type_exists
go


alter table dbo.sample
   drop constraint technician_exists2
go


alter table dbo.sample_type_project
   drop constraint project_exists5
go


alter table dbo.sample_type_project
   drop constraint sample_type_exists3
go


alter table dbo.sample_type_schema
   drop constraint project_exists6
go


alter table dbo.sample_type_schema
   drop constraint sample_type_exists
go


alter table dbo.schema_field
   drop constraint sample_type_schema_exists
go


alter table dbo.technician_project
   drop constraint project_exists
go


alter table dbo.technician_project
   drop constraint technician_exists
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.aliquot')
            and   name  = 'aliquot_container_id_idx'
            and   indid > 0
            and   indid < 255)
   drop index aliquot.aliquot_container_id_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.aliquot')
            and   name  = 'aliquot_date_idx'
            and   indid > 0
            and   indid < 255)
   drop index aliquot.aliquot_date_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.aliquot')
            and   name  = 'aliquot_depleted_idx'
            and   indid > 0
            and   indid < 255)
   drop index aliquot.aliquot_depleted_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.aliquot')
            and   name  = 'aliquot_project_id_idx'
            and   indid > 0
            and   indid < 255)
   drop index aliquot.aliquot_project_id_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.aliquot')
            and   name  = 'aliquot_project_sample'
            and   indid > 0
            and   indid < 255)
   drop index aliquot.aliquot_project_sample
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.aliquot')
            and   name  = 'aliquot_sample_id_idx'
            and   indid > 0
            and   indid < 255)
   drop index aliquot.aliquot_sample_id_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.container')
            and   name  = 'container_location_id_idx'
            and   indid > 0
            and   indid < 255)
   drop index container.container_location_id_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.container')
            and   name  = 'container_parent_id_idx'
            and   indid > 0
            and   indid < 255)
   drop index container.container_parent_id_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.container')
            and   name  = 'container_parent_location_idx'
            and   indid > 0
            and   indid < 255)
   drop index container.container_parent_location_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.container')
            and   name  = 'container_type_id_idx'
            and   indid > 0
            and   indid < 255)
   drop index container.container_type_id_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.container')
            and   name  = 'unique_name_per_parent'
            and   indid > 0
            and   indid < 255)
   drop index container.unique_name_per_parent
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.location')
            and   name  = 'unique_location_name'
            and   indid > 0
            and   indid < 255)
   drop index location.unique_location_name
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.location_project')
            and   name  = 'idx_u_location_project'
            and   indid > 0
            and   indid < 255)
   drop index location_project.idx_u_location_project
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.origin_sample_aliquots')
            and   name  = 'idx_u_aliquot_sample'
            and   indid > 0
            and   indid < 255)
   drop index origin_sample_aliquots.idx_u_aliquot_sample
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.sample')
            and   name  = 'sample_derived_idx'
            and   indid > 0
            and   indid < 255)
   drop index sample.sample_derived_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.sample')
            and   name  = 'sample_name_idx'
            and   indid > 0
            and   indid < 255)
   drop index sample.sample_name_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.sample')
            and   name  = 'sample_project_id_idx'
            and   indid > 0
            and   indid < 255)
   drop index sample.sample_project_id_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.sample')
            and   name  = 'sample_type_id_idx'
            and   indid > 0
            and   indid < 255)
   drop index sample.sample_type_id_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.sample')
            and   name  = 'unique_name_per_project'
            and   indid > 0
            and   indid < 255)
   drop index sample.unique_name_per_project
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.sample_type_project')
            and   name  = 'idx_u_sample_type_project'
            and   indid > 0
            and   indid < 255)
   drop index sample_type_project.idx_u_sample_type_project
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.security_principal')
            and   name  = 'sp_principal_location_idx'
            and   indid > 0
            and   indid < 255)
   drop index security_principal.sp_principal_location_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.security_role')
            and   name  = 'sr_role_location_idx'
            and   indid > 0
            and   indid < 255)
   drop index security_role.sr_role_location_idx
go


if exists (select 1
            from  sysindexes
           where  id    = object_id('dbo.technician_project')
            and   name  = 'idx_u_technician_project'
            and   indid > 0
            and   indid < 255)
   drop index technician_project.idx_u_technician_project
go


alter table additional_sample_data
   drop constraint AK_PKY_ADDITIONAL_SAM_ADDITION
go


if exists (select 1
            from  sysobjects
            where  id = object_id('additional_sample_data')
            and    type = 'U')
   drop table additional_sample_data
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.aliquot')
            and    type = 'U')
   drop table dbo.aliquot
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.aliquot_allocation')
            and    type = 'U')
   drop table dbo.aliquot_allocation
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_additional_sample_data')
            and    type = 'U')
   drop table dbo.audit_additional_sample_data
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_aliquot')
            and    type = 'U')
   drop table dbo.audit_aliquot
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_aliquot_allocation')
            and    type = 'U')
   drop table dbo.audit_aliquot_allocation
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_concentration_unit')
            and    type = 'U')
   drop table dbo.audit_concentration_unit
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_container')
            and    type = 'U')
   drop table dbo.audit_container
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_container_type')
            and    type = 'U')
   drop table dbo.audit_container_type
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_location')
            and    type = 'U')
   drop table dbo.audit_location
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_location_project')
            and    type = 'U')
   drop table dbo.audit_location_project
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_origin_sample_aliquots')
            and    type = 'U')
   drop table dbo.audit_origin_sample_aliquots
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_principal')
            and    type = 'U')
   drop table dbo.audit_principal
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_project')
            and    type = 'U')
   drop table dbo.audit_project
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_sample')
            and    type = 'U')
   drop table dbo.audit_sample
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_sample_type')
            and    type = 'U')
   drop table dbo.audit_sample_type
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_sample_type_project')
            and    type = 'U')
   drop table dbo.audit_sample_type_project
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_sample_type_schema')
            and    type = 'U')
   drop table dbo.audit_sample_type_schema
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_schema_field')
            and    type = 'U')
   drop table dbo.audit_schema_field
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_security_principal')
            and    type = 'U')
   drop table dbo.audit_security_principal
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_security_role')
            and    type = 'U')
   drop table dbo.audit_security_role
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_sip_counters')
            and    type = 'U')
   drop table dbo.audit_sip_counters
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_subject_type')
            and    type = 'U')
   drop table dbo.audit_subject_type
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_technician')
            and    type = 'U')
   drop table dbo.audit_technician
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_technician_project')
            and    type = 'U')
   drop table dbo.audit_technician_project
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_volume_unit')
            and    type = 'U')
   drop table dbo.audit_volume_unit
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.audit_weight_unit')
            and    type = 'U')
   drop table dbo.audit_weight_unit
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.concentration_unit')
            and    type = 'U')
   drop table dbo.concentration_unit
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.container')
            and    type = 'U')
   drop table dbo.container
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.container_type')
            and    type = 'U')
   drop table dbo.container_type
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.location')
            and    type = 'U')
   drop table dbo.location
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.location_project')
            and    type = 'U')
   drop table dbo.location_project
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.origin_sample_aliquots')
            and    type = 'U')
   drop table dbo.origin_sample_aliquots
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.principal')
            and    type = 'U')
   drop table dbo.principal
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.project')
            and    type = 'U')
   drop table dbo.project
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.sample')
            and    type = 'U')
   drop table dbo.sample
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.sample_type')
            and    type = 'U')
   drop table dbo.sample_type
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.sample_type_project')
            and    type = 'U')
   drop table dbo.sample_type_project
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.sample_type_schema')
            and    type = 'U')
   drop table dbo.sample_type_schema
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.schema_field')
            and    type = 'U')
   drop table dbo.schema_field
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.security_principal')
            and    type = 'U')
   drop table dbo.security_principal
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.security_role')
            and    type = 'U')
   drop table dbo.security_role
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.sip_counters')
            and    type = 'U')
   drop table dbo.sip_counters
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.subject_type')
            and    type = 'U')
   drop table dbo.subject_type
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.technician')
            and    type = 'U')
   drop table dbo.technician
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.technician_project')
            and    type = 'U')
   drop table dbo.technician_project
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.volume_unit')
            and    type = 'U')
   drop table dbo.volume_unit
go


if exists (select 1
            from  sysobjects
            where  id = object_id('dbo.weight_unit')
            and    type = 'U')
   drop table dbo.weight_unit
go



if exists(select 1 from systypes where name='t_aliquot_id')
   execute sp_droptype t_aliquot_id
go



if exists(select 1 from systypes where name='t_audit_action')
   execute sp_droptype t_audit_action
go



if exists(select 1 from systypes where name='t_audit_date_tm')
   execute sp_droptype t_audit_date_tm
go



if exists(select 1 from systypes where name='t_audit_timestamp')
   execute sp_droptype t_audit_timestamp
go



if exists(select 1 from systypes where name='t_audit_user_name')
   execute sp_droptype t_audit_user_name
go



if exists(select 1 from systypes where name='t_conc')
   execute sp_droptype t_conc
go



if exists(select 1 from systypes where name='t_date')
   execute sp_droptype t_date
go



if exists(select 1 from systypes where name='t_entry_date_tm')
   execute sp_droptype t_entry_date_tm
go



if exists(select 1 from systypes where name='t_exponent')
   execute sp_droptype t_exponent
go



if exists(select 1 from systypes where name='t_name')
   execute sp_droptype t_name
go



if exists(select 1 from systypes where name='t_sip_id')
   execute sp_droptype t_sip_id
go



if exists(select 1 from systypes where name='t_sip_identity_id')
   execute sp_droptype t_sip_identity_id
go



if exists(select 1 from systypes where name='t_sip_message')
   execute sp_droptype t_sip_message
go



if exists(select 1 from systypes where name='t_sip_text')
   execute sp_droptype t_sip_text
go



if exists(select 1 from systypes where name='t_user_name')
   execute sp_droptype t_user_name
go



if exists(select 1 from systypes where name='t_volume')
   execute sp_droptype t_volume
go



if exists(select 1 from systypes where name='t_weight')
   execute sp_droptype t_weight
go


if exists (select 1
   from  sysobjects where type = 'D'
   and name = 'd_entry_date_tm'
   )
   drop default d_entry_date_tm
go


/*==============================================================*/
/* Default: d_entry_date_tm                                     */
/*==============================================================*/
create default d_entry_date_tm
    as getdate()
go


/*==============================================================*/
/* Domain: t_aliquot_id                                         */
/*==============================================================*/
execute sp_addtype t_aliquot_id, "int", "null"
go


/*==============================================================*/
/* Domain: t_audit_action                                       */
/*==============================================================*/
execute sp_addtype t_audit_action, "char(1)", "null"
go


/*==============================================================*/
/* Domain: t_audit_date_tm                                      */
/*==============================================================*/
execute sp_addtype t_audit_date_tm, "datetime", "null"
go


execute sp_bindefault 'd_entry_date_tm', 't_audit_date_tm'
go


/*==============================================================*/
/* Domain: t_audit_timestamp                                    */
/*==============================================================*/
execute sp_addtype t_audit_timestamp, "varbinary(8)", "null"
go


/*==============================================================*/
/* Domain: t_audit_user_name                                    */
/*==============================================================*/
execute sp_addtype t_audit_user_name, "varchar(30)", "null"
go


/*==============================================================*/
/* Domain: t_conc                                               */
/*==============================================================*/
execute sp_addtype t_conc, "numeric(9,3)", "null"
go


/*==============================================================*/
/* Domain: t_date                                               */
/*==============================================================*/
execute sp_addtype t_date, "datetime", "null"
go


/*==============================================================*/
/* Domain: t_entry_date_tm                                      */
/*==============================================================*/
execute sp_addtype t_entry_date_tm, "datetime", "null"
go


execute sp_bindefault 'd_entry_date_tm', 't_entry_date_tm'
go


/*==============================================================*/
/* Domain: t_exponent                                           */
/*==============================================================*/
execute sp_addtype t_exponent, "numeric(26,20)", "null"
go


/*==============================================================*/
/* Domain: t_name                                               */
/*==============================================================*/
execute sp_addtype t_name, "varchar(50)", "null"
go


/*==============================================================*/
/* Domain: t_sip_id                                             */
/*==============================================================*/
execute sp_addtype t_sip_id, "numeric(10)", "null"
go


/*==============================================================*/
/* Domain: t_sip_identity_id                                    */
/*==============================================================*/
execute sp_addtype t_sip_identity_id, "numeric(10)", "identity"
go


/*==============================================================*/
/* Domain: t_sip_message                                        */
/*==============================================================*/
execute sp_addtype t_sip_message, "varchar(255)", "null"
go


/*==============================================================*/
/* Domain: t_sip_text                                           */
/*==============================================================*/
execute sp_addtype t_sip_text, "varchar(255)", "null"
go


/*==============================================================*/
/* Domain: t_user_name                                          */
/*==============================================================*/
execute sp_addtype t_user_name, "varchar(30)", "null"
go


/*==============================================================*/
/* Domain: t_volume                                             */
/*==============================================================*/
execute sp_addtype t_volume, "numeric(9,3)", "null"
go


/*==============================================================*/
/* Domain: t_weight                                             */
/*==============================================================*/
execute sp_addtype t_weight, "numeric(9,3)", "null"
go


/*==============================================================*/
/* Table: additional_sample_data                                */
/*==============================================================*/
create table additional_sample_data (
     additional_sample_data_id t_sip_identity_id              identity,
     sample_id            t_sip_id                       null,
     schema_field_id      t_sip_id                       null,
     value                t_sip_text                     null
)
go


alter table additional_sample_data
   add constraint AK_PKY_ADDITIONAL_SAM_ADDITION unique (additional_sample_data_id)
go


/*==============================================================*/
/* Table: aliquot                                               */
/*==============================================================*/
create table dbo.aliquot (
     aliquot_id           t_aliquot_id                   not null,
     project_id           t_sip_id                       null,
     sample_id            t_sip_id                       null,
     volume_id            t_sip_id                       null,
     weight_id            t_sip_id                       null,
     concentration_id     t_sip_id                       null,
     container_id         t_sip_id                       null,
     volume               t_volume                       null,
     weight               t_weight                       null,
     concentration        t_conc                         null,
     depleted             bit                            not null,
     date                 t_date                         not null,
     commit_message       t_sip_message                  not null,
     is_low               bit                            not null,
     aliquot_count        int                            null,
     constraint aliquot_pkey primary key clustered (aliquot_id)
           on "default"
)
go


/*==============================================================*/
/* Index: aliquot_container_id_idx                              */
/*==============================================================*/
create index aliquot_container_id_idx on dbo.aliquot (
container_id ASC
)
on "default"
go


/*==============================================================*/
/* Index: aliquot_date_idx                                      */
/*==============================================================*/
create index aliquot_date_idx on dbo.aliquot (
aliquot_id ASC,
date ASC
)
on "default"
go


/*==============================================================*/
/* Index: aliquot_depleted_idx                                  */
/*==============================================================*/
create index aliquot_depleted_idx on dbo.aliquot (
aliquot_id ASC
)
on "default"
go


/*==============================================================*/
/* Index: aliquot_project_id_idx                                */
/*==============================================================*/
create index aliquot_project_id_idx on dbo.aliquot (
aliquot_id ASC,
project_id ASC
)
on "default"
go


/*==============================================================*/
/* Index: aliquot_project_sample                                */
/*==============================================================*/
create index aliquot_project_sample on dbo.aliquot (
aliquot_id ASC,
project_id ASC,
sample_id ASC
)
on "default"
go


/*==============================================================*/
/* Index: aliquot_sample_id_idx                                 */
/*==============================================================*/
create index aliquot_sample_id_idx on dbo.aliquot (
aliquot_id ASC,
sample_id ASC
)
on "default"
go


/*==============================================================*/
/* Table: aliquot_allocation                                    */
/*==============================================================*/
create table dbo.aliquot_allocation (
     aliquot_id           t_aliquot_id                   not null,
     status               t_sip_text                     not null,
     tstamp               datetime                       not null,
     constraint PK_ALIQUOT_ALLOCATION2 primary key (aliquot_id)
)
go


/*==============================================================*/
/* Table: audit_additional_sample_data                          */
/*==============================================================*/
create table dbo.audit_additional_sample_data (
     additional_sample_data_id t_sip_identity_id              identity,
     value                t_sip_text                     null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint additional_sample_data_pkey primary key (additional_sample_data_id)
)
go


/*==============================================================*/
/* Table: audit_aliquot                                         */
/*==============================================================*/
create table dbo.audit_aliquot (
     aliquot_id           t_aliquot_id                   not null,
     volume_id            t_sip_id                       null,
     weight_id            t_sip_id                       null,
     concentration_id     t_sip_id                       null,
     volume               t_volume                       null,
     weight               t_weight                       null,
     concentration        t_conc                         null,
     depleted             bit                            not null,
     date                 t_date                         not null,
     commit_message       t_sip_message                  not null,
     is_low               bit                            not null,
     aliquot_count        int                            null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint aliquot_pkey2 primary key (aliquot_id)
)
go


/*==============================================================*/
/* Table: audit_aliquot_allocation                              */
/*==============================================================*/
create table dbo.audit_aliquot_allocation (
     aliquot_id           t_aliquot_id                   not null,
     status               t_sip_text                     not null,
     tstamp               datetime                       not null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint PK_ALIQUOT_ALLOCATION primary key (aliquot_id)
)
go


/*==============================================================*/
/* Table: audit_concentration_unit                              */
/*==============================================================*/
create table dbo.audit_concentration_unit (
     concentration_unit_id t_sip_identity_id              identity,
     label                varchar(50)                    not null,
     description          varchar(50)                    not null,
     exponent             t_exponent                     not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     commit_message       t_sip_message                  not null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint concentration_unit_pkey2 primary key (concentration_unit_id)
)
go


/*==============================================================*/
/* Table: audit_container                                       */
/*==============================================================*/
create table dbo.audit_container (
     container_id         t_sip_identity_id              identity,
     name                 varchar(50)                    not null,
     parent_id            t_sip_id                       null,
     type_id              t_sip_id                       null,
     commit_message       t_sip_message                  not null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint container_pkey2 primary key (container_id)
)
go


/*==============================================================*/
/* Table: audit_container_type                                  */
/*==============================================================*/
create table dbo.audit_container_type (
     container_type_id    t_sip_identity_id              identity,
     name                 varchar(50)                    not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     root                 bit                            not null,
     commit_message       t_sip_message                  not null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint container_type_pkey2 primary key (container_type_id)
)
go


/*==============================================================*/
/* Table: audit_location                                        */
/*==============================================================*/
create table dbo.audit_location (
     location_id          t_sip_identity_id              identity,
     name                 varchar(50)                    not null,
     building             varchar(50)                    null,
     room                 varchar(50)                    null,
     temperature          int                            null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     commit_message       t_sip_message                  not null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint location_pkey2 primary key (location_id)
)
go


/*==============================================================*/
/* Table: audit_location_project                                */
/*==============================================================*/
create table dbo.audit_location_project (
     location_project_id  t_sip_identity_id              identity,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint location_project_pkey2 primary key (location_project_id)
)
go


/*==============================================================*/
/* Table: audit_origin_sample_aliquots                          */
/*==============================================================*/
create table dbo.audit_origin_sample_aliquots (
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null
)
go


/*==============================================================*/
/* Table: audit_principal                                       */
/*==============================================================*/
create table dbo.audit_principal (
     principal_id         t_sip_identity_id              identity,
     username             t_sip_text                     not null,
     fullname             t_sip_text                     null,
     password             t_sip_text                     not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint principal_pkey2 primary key (principal_id)
)
go


/*==============================================================*/
/* Table: audit_project                                         */
/*==============================================================*/
create table dbo.audit_project (
     project_id           t_sip_identity_id              identity,
     name                 varchar(20)                    not null,
     commit_message       t_sip_message                  not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     require_commit_message bit                            not null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint project_pkey2 primary key (project_id)
)
go


/*==============================================================*/
/* Table: audit_sample                                          */
/*==============================================================*/
create table dbo.audit_sample (
     sample_id            t_sip_identity_id              identity,
     name                 varchar(50)                    null,
     other_id             varchar(50)                    null,
     date_generated       t_date                         not null,
     comments             t_sip_text                     null,
     subject_id           varchar(50)                    null,
     type_id              t_sip_id                       null,
     derived              bit                            not null,
     commit_message       t_sip_message                  not null,
     collection_date      t_date                         null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint sample_pkey2 primary key (sample_id)
)
go


/*==============================================================*/
/* Table: audit_sample_type                                     */
/*==============================================================*/
create table dbo.audit_sample_type (
     sample_type_id       t_sip_identity_id              identity,
     name                 t_name                         not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     commit_message       t_sip_message                  not null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint sample_type_pkey2 primary key (sample_type_id)
)
go


/*==============================================================*/
/* Table: audit_sample_type_project                             */
/*==============================================================*/
create table dbo.audit_sample_type_project (
     sample_type_project_id t_sip_identity_id              identity,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint sample_type_project_pkey2 primary key (sample_type_project_id)
)
go


/*==============================================================*/
/* Table: audit_sample_type_schema                              */
/*==============================================================*/
create table dbo.audit_sample_type_schema (
     sample_type_schema_id t_sip_identity_id              identity,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint sample_type_schema_pkey2 primary key (sample_type_schema_id)
)
go


/*==============================================================*/
/* Table: audit_schema_field                                    */
/*==============================================================*/
create table dbo.audit_schema_field (
     schema_field_id      t_sip_identity_id              identity,
     schema_id            t_sip_id                       null,
     name                 t_sip_text                     not null,
     type                 t_sip_text                     not null,
     title                t_sip_text                     null,
     description          t_sip_text                     null,
     required             bit                            not null,
     readonly             bit                            not null,
     field_order          int                            not null,
     tales                bit                            not null,
     tales_expression     t_sip_text                     not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     default_value        t_sip_text                     null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint schema_field_pkey2 primary key (schema_field_id)
)
go


/*==============================================================*/
/* Table: audit_security_principal                              */
/*==============================================================*/
create table dbo.audit_security_principal (
     id                   t_sip_id                       not null,
     principal_id         varchar(255)                   not null,
     role_id              varchar(255)                   null,
     location             varchar(255)                   not null,
     value                int                            not null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint security_principal_pkey2 primary key (id)
)
go


/*==============================================================*/
/* Table: audit_security_role                                   */
/*==============================================================*/
create table dbo.audit_security_role (
     id                   t_sip_id                       not null,
     role_id              varchar(255)                   not null,
     principal_id         varchar(255)                   null,
     location             varchar(255)                   not null,
     value                int                            not null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint security_role_pkey2 primary key (id)
)
go


/*==============================================================*/
/* Table: audit_sip_counters                                    */
/*==============================================================*/
create table dbo.audit_sip_counters (
     counter_type         varchar(60)                    not null,
     counter              numeric                        not null,
     timestamp            datetime                       null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint pk_counters2 primary key (counter_type)
)
go


/*==============================================================*/
/* Table: audit_subject_type                                    */
/*==============================================================*/
create table dbo.audit_subject_type (
     subject_type_id      t_sip_identity_id              identity,
     name                 varchar(50)                    not null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint subject_type_pkey2 primary key (subject_type_id)
)
go


/*==============================================================*/
/* Table: audit_technician                                      */
/*==============================================================*/
create table dbo.audit_technician (
     technician_id        t_sip_identity_id              identity,
     username             varchar(50)                    not null,
     fullname             varchar(100)                   null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     commit_message       t_sip_message                  not null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint technician_pkey2 primary key (technician_id)
)
go


/*==============================================================*/
/* Table: audit_technician_project                              */
/*==============================================================*/
create table dbo.audit_technician_project (
     technician_project_id t_sip_identity_id              identity,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint technician_project_pkey2 primary key (technician_project_id)
)
go


/*==============================================================*/
/* Table: audit_volume_unit                                     */
/*==============================================================*/
create table dbo.audit_volume_unit (
     volume_unit_id       t_sip_identity_id              identity,
     label                varchar(50)                    not null,
     description          varchar(255)                   not null,
     exponent             t_exponent                     not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     commit_message       t_sip_message                  not null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint volume_unit_pkey2 primary key (volume_unit_id)
)
go


/*==============================================================*/
/* Table: audit_weight_unit                                     */
/*==============================================================*/
create table dbo.audit_weight_unit (
     weight_unit_id       t_sip_identity_id              identity,
     label                varchar(50)                    not null,
     description          varchar(50)                    not null,
     exponent             t_exponent                     not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     commit_message       t_sip_message                  not null,
     user_name            t_user_name                    not null,
     entry_date_tm        t_entry_date_tm                not null,
     audit_timestamp      timestamp                      not null,
     audit_action         t_audit_action                 not null,
     audit_date_tm        t_audit_date_tm                not null,
     audit_user_name      t_audit_user_name              null,
     constraint weight_unit_pkey2 primary key (weight_unit_id)
)
go


/*==============================================================*/
/* Table: concentration_unit                                    */
/*==============================================================*/
create table dbo.concentration_unit (
     concentration_unit_id t_sip_identity_id              identity,
     label                varchar(50)                    not null,
     description          varchar(50)                    not null,
     exponent             t_exponent                     not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     commit_message       t_sip_message                  not null,
     constraint concentration_unit_pkey primary key clustered (concentration_unit_id)
           on "default"
)
go


/*==============================================================*/
/* Table: container                                             */
/*==============================================================*/
create table dbo.container (
     container_id         t_sip_identity_id              identity,
     name                 varchar(50)                    not null,
     parent_id            t_sip_id                       null,
     location_id          t_sip_id                       null,
     type_id              t_sip_id                       null,
     commit_message       t_sip_message                  not null,
     constraint container_pkey primary key clustered (container_id)
           on "default"
)
go


/*==============================================================*/
/* Index: container_location_id_idx                             */
/*==============================================================*/
create index container_location_id_idx on dbo.container (
container_id ASC,
location_id ASC
)
on "default"
go


/*==============================================================*/
/* Index: container_parent_id_idx                               */
/*==============================================================*/
create index container_parent_id_idx on dbo.container (
container_id ASC,
parent_id ASC
)
on "default"
go


/*==============================================================*/
/* Index: container_parent_location_idx                         */
/*==============================================================*/
create index container_parent_location_idx on dbo.container (
container_id ASC,
parent_id ASC,
location_id ASC
)
on "default"
go


/*==============================================================*/
/* Index: container_type_id_idx                                 */
/*==============================================================*/
create index container_type_id_idx on dbo.container (
container_id ASC,
type_id ASC
)
on "default"
go


/*==============================================================*/
/* Index: unique_name_per_parent                                */
/*==============================================================*/
create unique index unique_name_per_parent on dbo.container (
name ASC,
parent_id ASC
)
on "default"
go


/*==============================================================*/
/* Table: container_type                                        */
/*==============================================================*/
create table dbo.container_type (
     container_type_id    t_sip_identity_id              identity,
     name                 varchar(50)                    not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     root                 bit                            not null,
     commit_message       t_sip_message                  not null,
     constraint container_type_pkey primary key clustered (container_type_id)
           on "default"
)
go


/*==============================================================*/
/* Table: location                                              */
/*==============================================================*/
create table dbo.location (
     location_id          t_sip_identity_id              identity,
     name                 varchar(50)                    not null,
     building             varchar(50)                    null,
     room                 varchar(50)                    null,
     temperature          int                            null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     commit_message       t_sip_message                  not null,
     constraint location_pkey primary key clustered (location_id)
           on "default"
)
go


/*==============================================================*/
/* Index: unique_location_name                                  */
/*==============================================================*/
create unique index unique_location_name on dbo.location (
location_id ASC,
name ASC
)
on "default"
go


/*==============================================================*/
/* Table: location_project                                      */
/*==============================================================*/
create table dbo.location_project (
     location_project_id  t_sip_identity_id              identity,
     project_id           t_sip_id                       null,
     location_id          t_sip_id                       null,
     constraint location_project_pkey primary key clustered (location_project_id)
           on "default"
)
go


/*==============================================================*/
/* Index: idx_u_location_project                                */
/*==============================================================*/
create unique index idx_u_location_project on dbo.location_project (
project_id ASC,
location_id ASC
)
go


/*==============================================================*/
/* Table: origin_sample_aliquots                                */
/*==============================================================*/
create table dbo.origin_sample_aliquots (
     id                   t_sip_id                       not null,
     aliquot_id           t_aliquot_id                   not null,
     sample_id            t_sip_id                       not null
)
go


/*==============================================================*/
/* Index: idx_u_aliquot_sample                                  */
/*==============================================================*/
create unique index idx_u_aliquot_sample on dbo.origin_sample_aliquots (
aliquot_id ASC,
sample_id ASC
)
go


/*==============================================================*/
/* Table: principal                                             */
/*==============================================================*/
create table dbo.principal (
     principal_id         t_sip_identity_id              identity,
     username             t_sip_text                     not null,
     fullname             t_sip_text                     null,
     password             t_sip_text                     not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     constraint principal_pkey primary key clustered (principal_id)
           on "default"
)
go


/*==============================================================*/
/* Table: project                                               */
/*==============================================================*/
create table dbo.project (
     project_id           t_sip_identity_id              identity,
     name                 varchar(20)                    not null,
     commit_message       t_sip_message                  not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     require_commit_message bit                            not null,
     constraint project_pkey primary key clustered (project_id)
           on "default"
)
go


/*==============================================================*/
/* Table: sample                                                */
/*==============================================================*/
create table dbo.sample (
     sample_id            t_sip_identity_id              identity,
     name                 varchar(50)                    null,
     other_id             varchar(50)                    null,
     date_generated       t_date                         not null,
     comments             t_sip_text                     null,
     subject_id           varchar(50)                    null,
     project_id           t_sip_id                       null,
     type_id              t_sip_id                       null,
     technician_id        t_sip_id                       null,
     derived              bit                            not null,
     commit_message       t_sip_message                  not null,
     collection_date      t_date                         null,
     subject_type_id      t_sip_id                       null,
     constraint sample_pkey primary key clustered (sample_id)
           on "default"
)
go


/*==============================================================*/
/* Index: sample_derived_idx                                    */
/*==============================================================*/
create index sample_derived_idx on dbo.sample (
sample_id ASC
)
on "default"
go


/*==============================================================*/
/* Index: sample_name_idx                                       */
/*==============================================================*/
create index sample_name_idx on dbo.sample (
sample_id ASC,
name ASC
)
on "default"
go


/*==============================================================*/
/* Index: sample_project_id_idx                                 */
/*==============================================================*/
create index sample_project_id_idx on dbo.sample (
sample_id ASC,
project_id ASC
)
on "default"
go


/*==============================================================*/
/* Index: sample_type_id_idx                                    */
/*==============================================================*/
create index sample_type_id_idx on dbo.sample (
sample_id ASC,
type_id ASC
)
on "default"
go


/*==============================================================*/
/* Index: unique_name_per_project                               */
/*==============================================================*/
create unique index unique_name_per_project on dbo.sample (
name ASC,
project_id ASC
)
on "default"
go


/*==============================================================*/
/* Table: sample_type                                           */
/*==============================================================*/
create table dbo.sample_type (
     sample_type_id       t_sip_identity_id              identity,
     name                 t_name                         not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     commit_message       t_sip_message                  not null,
     constraint sample_type_pkey primary key clustered (sample_type_id)
           on "default"
)
go


/*==============================================================*/
/* Table: sample_type_project                                   */
/*==============================================================*/
create table dbo.sample_type_project (
     sample_type_project_id t_sip_identity_id              identity,
     project_id           t_sip_id                       null,
     sample_type_id       t_sip_id                       null,
     constraint sample_type_project_pkey primary key clustered (sample_type_project_id)
           on "default"
)
go


/*==============================================================*/
/* Index: idx_u_sample_type_project                             */
/*==============================================================*/
create unique index idx_u_sample_type_project on dbo.sample_type_project (
project_id ASC,
sample_type_id ASC
)
go


/*==============================================================*/
/* Table: sample_type_schema                                    */
/*==============================================================*/
create table dbo.sample_type_schema (
     sample_type_schema_id t_sip_identity_id              identity,
     project_id           t_sip_id                       null,
     sample_type_id       t_sip_id                       null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     constraint sample_type_schema_pkey primary key clustered (sample_type_schema_id)
           on "default"
)
go


/*==============================================================*/
/* Table: schema_field                                          */
/*==============================================================*/
create table dbo.schema_field (
     schema_field_id      t_sip_identity_id              identity,
     schema_id            t_sip_id                       null,
     name                 t_sip_text                     not null,
     type                 t_sip_text                     not null,
     title                t_sip_text                     null,
     description          t_sip_text                     null,
     required             bit                            not null,
     readonly             bit                            not null,
     field_order          int                            not null,
     tales                bit                            not null,
     tales_expression     t_sip_text                     not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     default_value        t_sip_text                     null,
     constraint schema_field_pkey primary key clustered (schema_field_id)
           on "default"
)
go


/*==============================================================*/
/* Table: security_principal                                    */
/*==============================================================*/
create table dbo.security_principal (
     id                   t_sip_id                       not null,
     principal_id         varchar(255)                   not null,
     role_id              varchar(255)                   null,
     location             varchar(255)                   not null,
     value                int                            not null,
     constraint security_principal_pkey primary key clustered (id)
           on "default"
)
go


/*==============================================================*/
/* Index: sp_principal_location_idx                             */
/*==============================================================*/
create index sp_principal_location_idx on dbo.security_principal (
principal_id ASC,
location ASC
)
on "default"
go


/*==============================================================*/
/* Table: security_role                                         */
/*==============================================================*/
create table dbo.security_role (
     id                   t_sip_id                       not null,
     role_id              varchar(255)                   not null,
     principal_id         varchar(255)                   null,
     location             varchar(255)                   not null,
     value                int                            not null,
     constraint security_role_pkey primary key clustered (id)
           on "default"
)
go


/*==============================================================*/
/* Index: sr_role_location_idx                                  */
/*==============================================================*/
create index sr_role_location_idx on dbo.security_role (
role_id ASC,
location ASC
)
on "default"
go


/*==============================================================*/
/* Table: sip_counters                                          */
/*==============================================================*/
create table dbo.sip_counters (
     counter_type         varchar(60)                    not null,
     counter              numeric                        not null,
     timestamp            datetime                       null,
     constraint pk_counters primary key clustered (counter_type)
           on "default"
)
go


/*==============================================================*/
/* Table: subject_type                                          */
/*==============================================================*/
create table dbo.subject_type (
     subject_type_id      t_sip_identity_id              identity,
     name                 varchar(50)                    not null,
     constraint subject_type_pkey primary key clustered (subject_type_id)
           on "default"
)
go


/*==============================================================*/
/* Table: technician                                            */
/*==============================================================*/
create table dbo.technician (
     technician_id        t_sip_identity_id              identity,
     username             varchar(50)                    not null,
     fullname             varchar(100)                   null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     commit_message       t_sip_message                  not null,
     constraint technician_pkey primary key clustered (technician_id)
           on "default"
)
go


/*==============================================================*/
/* Table: technician_project                                    */
/*==============================================================*/
create table dbo.technician_project (
     technician_project_id t_sip_identity_id              identity,
     project_id           t_sip_id                       null,
     technician_id        t_sip_id                       null,
     constraint technician_project_pkey primary key clustered (technician_project_id)
           on "default"
)
go


/*==============================================================*/
/* Index: idx_u_technician_project                              */
/*==============================================================*/
create unique index idx_u_technician_project on dbo.technician_project (
project_id ASC,
technician_id ASC
)
go


/*==============================================================*/
/* Table: volume_unit                                           */
/*==============================================================*/
create table dbo.volume_unit (
     volume_unit_id       t_sip_identity_id              identity,
     label                varchar(50)                    not null,
     description          varchar(255)                   not null,
     exponent             t_exponent                     not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     commit_message       t_sip_message                  not null,
     constraint volume_unit_pkey primary key clustered (volume_unit_id)
           on "default"
)
go


/*==============================================================*/
/* Table: weight_unit                                           */
/*==============================================================*/
create table dbo.weight_unit (
     weight_unit_id       t_sip_identity_id              identity,
     label                varchar(50)                    not null,
     description          varchar(50)                    not null,
     exponent             t_exponent                     not null,
     start_date           t_date                         not null,
     end_date             t_date                         null,
     commit_message       t_sip_message                  not null,
     constraint weight_unit_pkey primary key clustered (weight_unit_id)
           on "default"
)
go


alter table additional_sample_data
   add constraint sample_exists2 foreign key (sample_id)
      references dbo.sample (sample_id)
go


alter table additional_sample_data
   add constraint schema_field_exists foreign key (schema_field_id)
      references dbo.schema_field (schema_field_id)
go


alter table dbo.aliquot
   add constraint concentration_unit_exists foreign key (concentration_id)
      references dbo.concentration_unit (concentration_unit_id)
go


alter table dbo.aliquot
   add constraint container_exists2 foreign key (container_id)
      references dbo.container (container_id)
go


alter table dbo.aliquot
   add constraint project_exists2 foreign key (project_id)
      references dbo.project (project_id)
go


alter table dbo.aliquot
   add constraint sample_exists3 foreign key (sample_id)
      references dbo.sample (sample_id)
go


alter table dbo.aliquot
   add constraint volume_unit_exists foreign key (volume_id)
      references dbo.volume_unit (volume_unit_id)
go


alter table dbo.aliquot
   add constraint weight_unit_exists foreign key (weight_id)
      references dbo.weight_unit (weight_unit_id)
go


alter table dbo.container
   add constraint container_exists foreign key (parent_id)
      references dbo.container (container_id)
go


alter table dbo.container
   add constraint container_type_exists foreign key (type_id)
      references dbo.container_type (container_type_id)
go


alter table dbo.container
   add constraint location_exists2 foreign key (location_id)
      references dbo.location (location_id)
go


alter table dbo.location_project
   add constraint location_exists foreign key (location_id)
      references dbo.location (location_id)
go


alter table dbo.location_project
   add constraint project_exists3 foreign key (project_id)
      references dbo.project (project_id)
go


alter table dbo.origin_sample_aliquots
   add constraint sample_exists foreign key (sample_id)
      references dbo.sample (sample_id)
go


alter table dbo.sample
   add constraint project_exists4 foreign key (project_id)
      references dbo.project (project_id)
go


alter table dbo.sample
   add constraint sample_type_exists2 foreign key (type_id)
      references dbo.sample_type (sample_type_id)
go


alter table dbo.sample
   add constraint subject_type_exists foreign key (subject_type_id)
      references dbo.subject_type (subject_type_id)
go


alter table dbo.sample
   add constraint technician_exists2 foreign key (technician_id)
      references dbo.technician (technician_id)
go


alter table dbo.sample_type_project
   add constraint project_exists5 foreign key (project_id)
      references dbo.project (project_id)
go


alter table dbo.sample_type_project
   add constraint sample_type_exists3 foreign key (sample_type_id)
      references dbo.sample_type (sample_type_id)
go


alter table dbo.sample_type_schema
   add constraint project_exists6 foreign key (project_id)
      references dbo.project (project_id)
go


alter table dbo.sample_type_schema
   add constraint sample_type_exists foreign key (sample_type_id)
      references dbo.sample_type (sample_type_id)
go


alter table dbo.schema_field
   add constraint sample_type_schema_exists foreign key (schema_id)
      references dbo.sample_type_schema (sample_type_schema_id)
go


alter table dbo.technician_project
   add constraint project_exists foreign key (project_id)
      references dbo.project (project_id)
go


alter table dbo.technician_project
   add constraint technician_exists foreign key (technician_id)
      references dbo.technician (technician_id)
go


