# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: subjecttype.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from sqlobject import *
from sqlos import SQLOS
from zope.interface import implements

from sip.interfaces.subjecttype import ISubjectType

class SubjectType(SQLOS):
    implements(ISubjectType)

    _idName = 'subject_type_id'

    _columns = [
        StringCol('name', length=255, notNull=1, default=None)
        ]
