from zope.interface import implements
from sqlobject import *
from sqlos import SQLOS
from sqlos.interfaces import ISQLSchema
from zope.schema import TextLine, Text, Datetime

class IPerson(ISQLSchema):

    fullname = TextLine(title=u'Full Name',
                    description=u"The full name of the user")
    username = TextLine(title=u'Username',
                    description=u"The user's login")
    password = TextLine(title=u'Password',
                    description=u"The user's password")

class SamplePerson(SQLOS):

    implements(IPerson)

    # Disable cache, so we can see the real contents of the database
    # during testing.
    _cacheValues = False

    _columns = [
        StringCol('fullname', length=50, notNull=1),
        StringCol('username', length=20, notNull=1),
        StringCol('password', length=20, notNull=1),
        ]
